curl --request POST \
--url https://api.egp.scale.com/v5/spans/metrics/by-span \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"parents_only": true,
"span_ids": [
"<string>"
],
"trace_ids": [
"<string>"
],
"excluded_span_ids": [
"<string>"
],
"excluded_trace_ids": [
"<string>"
],
"group_id": "<string>",
"names": [
"<string>"
],
"statuses": [],
"types": [],
"search_texts": [
"<string>"
],
"extra_metadata": {},
"application_variant_ids": [
"<string>"
],
"assessment_types": [
"<string>"
],
"acp_types": [
"<string>"
],
"agentex_agent_names": [
"<string>"
],
"agentex_agent_ids": [
"<string>"
],
"min_duration_ms": 123,
"max_duration_ms": 123,
"limit": 100,
"offset": 0,
"sort_by": "total_ms"
}
'import requests
url = "https://api.egp.scale.com/v5/spans/metrics/by-span"
payload = {
"parents_only": True,
"span_ids": ["<string>"],
"trace_ids": ["<string>"],
"excluded_span_ids": ["<string>"],
"excluded_trace_ids": ["<string>"],
"group_id": "<string>",
"names": ["<string>"],
"statuses": [],
"types": [],
"search_texts": ["<string>"],
"extra_metadata": {},
"application_variant_ids": ["<string>"],
"assessment_types": ["<string>"],
"acp_types": ["<string>"],
"agentex_agent_names": ["<string>"],
"agentex_agent_ids": ["<string>"],
"min_duration_ms": 123,
"max_duration_ms": 123,
"limit": 100,
"offset": 0,
"sort_by": "total_ms"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parents_only: true,
span_ids: ['<string>'],
trace_ids: ['<string>'],
excluded_span_ids: ['<string>'],
excluded_trace_ids: ['<string>'],
group_id: '<string>',
names: ['<string>'],
statuses: [],
types: [],
search_texts: ['<string>'],
extra_metadata: {},
application_variant_ids: ['<string>'],
assessment_types: ['<string>'],
acp_types: ['<string>'],
agentex_agent_names: ['<string>'],
agentex_agent_ids: ['<string>'],
min_duration_ms: 123,
max_duration_ms: 123,
limit: 100,
offset: 0,
sort_by: 'total_ms'
})
};
fetch('https://api.egp.scale.com/v5/spans/metrics/by-span', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"span_name": "<string>",
"count": 123,
"min_ms": 123,
"avg_ms": 123,
"p50_ms": 123,
"p90_ms": 123,
"p95_ms": 123,
"p99_ms": 123,
"max_ms": 123,
"total_ms": 123,
"total_time_pct": 123,
"avg_per_trace": 123
}
],
"totals": {
"total_traces": 123,
"total_spans": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get aggregated metrics grouped by span name
Authorizations
Headers
Query Parameters
The starting (oldest) timestamp in ISO format.
The ending (most recent) timestamp in ISO format.
Body
Only fetch spans that are the top-level (ie. have no parent_id)
Filter by span IDs
Filter by trace IDs
List of span IDs to exclude from results
List of trace IDs to exclude from results
Filter by group ID
Filter by trace/span name
Filter on span status
SUCCESS, ERROR, CANCELED TEXT_INPUT, TEXT_OUTPUT, COMPLETION_INPUT, COMPLETION, KB_RETRIEVAL, KB_INPUT, RERANKING, EXTERNAL_ENDPOINT, PROMPT_ENGINEERING, DOCUMENT_INPUT, MAP_REDUCE, DOCUMENT_SEARCH, DOCUMENT_PROMPT, CUSTOM, CODE_EXECUTION, DATA_MANIPULATION, EVALUATION, FILE_RETRIEVAL, KB_ADD_CHUNK, KB_MANAGEMENT, GUARDRAIL, OUTPUT_GUARDRAIL, TRACER, AGENT_TRACER, AGENT_WORKFLOW, STANDALONE Free text search across span input and output fields. For exact trace ID lookup, use the trace_ids filter.
Filter on custom metadata key-value pairs
Filter by application variant IDs
Filter spans by traces that have assessments of these types
Filter by ACP types
Filter by Agentex agent names
Filter by Agentex agent IDs
Minimum span duration in milliseconds (inclusive)
Maximum span duration in milliseconds (inclusive)
Max number of span groups to return
Offset for pagination of span groups
Field to sort by: 'total_ms', 'max_ms', 'avg_ms', or 'count'

